%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name XStatic-Bootstrap-SCSS
%define version 3.3.7.1
%define unmangled_version 3.3.7.1
%define unmangled_version 3.3.7.1
%define release 1

Summary: Bootstrap-SCSS 3.3.7 (XStatic packaging standard)
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}XStatic-Bootstrap-SCSS
Version: %{version}
Release: %{release}
Source0: XStatic-Bootstrap-SCSS-%{unmangled_version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/XStatic-Bootstrap-SCSS-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Radomir Dopieralski <openstack@sheep.art.pl>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: http://getbootstrap.com/


%description
XStatic-Bootstrap-SCSS
--------------

Bootstrap style library packaged for setuptools (easy_install) / pip.

This package is intended to be used by **any** project that needs these files.

It intentionally does **not** provide any extra code except some metadata
**nor** has any extra requirements. You MAY use some minimal support code from
the XStatic base package, if you like.

You can find more info about the xstatic packaging way in the package `XStatic`.




%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n XStatic-Bootstrap-SCSS-%{unmangled_version} -n XStatic-Bootstrap-SCSS-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
